This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 549395 - config-editor: rhq configuration, deleting more than one configuration entry at a time fails
config-editor: rhq configuration, deleting more than one configuration entry ...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
http://rlx-0-04.rhndev.redhat.com:708...
: SubBug
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2009-12-21 10:15 EST by wes hayutin
Modified: 2013-08-05 20:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 16:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-12-21 10:15:20 EST
Description of problem:

When you delete more than one config entry for Sudoers only one entry is actually deleted after saving the configuration.

This case was found while using the Sudoers resource.

recreate:
Login -> Resources -> Services -> Sudoers -> configuration

1. create two new sudoer configuration lines
2. try to delete both sudoer entries

after saving the configuration, notice that only one entry has been deleted
Comment 1 wes hayutin 2009-12-21 10:33:07 EST
To add to this, there may be more to this than what I originally thought.
This may affect both adding and deleting config entries.

create six entries.
1. test01 - 06

delete test05, test06

results:  test01 and test02 are deleted test05, test06 are still available.
Comment 2 wes hayutin 2010-02-16 11:55:51 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:00:53 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Ian Springer 2010-09-13 16:16:58 EDT
Note, this is a portal-war (JSF) issue and so is most likely not applicable to RHQ 4.x.
Comment 5 Mike Foley 2011-04-27 15:35:46 EDT
added bz 700216 while looking at this issue.
Comment 6 Mike Foley 2011-04-27 15:42:36 EDT
i am unable to multi-select and delete more than 1 item from sudoers configuration history.
Comment 7 Mike Foley 2011-04-27 16:18:22 EDT
okay .... this bz is a portal.war/JSF issue ... and specific to the sudoers plugin.  i re-tested anyways with RHQ 4.0 smartgwt version ... and i can't multi-select/delete configuration histories in any plugin.  i logged bz 700226 for this issue.  closing this one.

Note You need to log in before you can comment on or make changes to this bug.